Index: squashfs-tools/Makefile
===================================================================
--- squashfs-tools.orig/Makefile	2007-11-16 20:32:00.000000000 +0100
+++ squashfs-tools/Makefile	2007-11-16 20:37:04.000000000 +0100
@@ -1,19 +1,24 @@
 INCLUDEDIR = .
 
-CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -O2
+LOCAL_CFLAGS := -I$(INCLUDEDIR) -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE
 
 all: mksquashfs unsquashfs
 
 mksquashfs: mksquashfs.o read_fs.o sort.o
-	$(CC) mksquashfs.o read_fs.o sort.o -lz -lpthread -lm -o $@
+	$(CC) $(LDFLAGS) mksquashfs.o read_fs.o sort.o -lz -lpthread -lm -o $@
 
 mksquashfs.o: mksquashfs.c squashfs_fs.h mksquashfs.h global.h sort.h
+	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) -c -o mksquashfs.o mksquashfs.c
 
 read_fs.o: read_fs.c squashfs_fs.h read_fs.h global.h
+	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) -c -o read_fs.o read_fs.c
 
 sort.o: sort.c squashfs_fs.h global.h sort.h
+	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) -c -o sort.o sort.c
 
 unsquashfs: unsquashfs.o
-	$(CC) unsquashfs.o -lz -o $@
+	$(CC) $(LDFLAGS) unsquashfs.o -lz -o $@
 
 unsquashfs.o: unsquashfs.c squashfs_fs.h read_fs.h global.h
+	$(CC) $(CFLAGS) $(LOCAL_CFLAGS) -c -o unsquashfs.o -lz -o $@
+
